/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2018-03-12
 * 时间: 15:43
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.InteropServices;


using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using zyxDll;
using System.Collections.Generic;
using System.Reflection;
using System.Collections;

namespace zyxDll
{
	
	/// <summary>
	/// Description of Form2.
	/// </summary>
	public  partial class Form2 : FormSub0
	{
		
		protected static Form2 _fmSub=null;
		public static Form2 fmSub {get{if(_fmSub==null){
					_fmSub=new Form2();
				
				}return _fmSub;}}
		
		
		void Form2FormClosed_(object sender, FormClosedEventArgs e)
		{
	
		}
		void Form2FormClosing_(object sender, FormClosingEventArgs e)
		{
			if (baseinfo.instance.exe.gamestate>2)return;
			
			e.Cancel=true;
		}
		
	}
}
